<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: theme.php
| Author: Johan Wilson
| Co-author: FDTD Designer (FILON)
| Theme: Fisherman
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Image changes
set_image("pollbar", THEME."images/blank.gif");
set_image("printer", THEME."images/print.png");
set_image("edit", THEME."images/edit.png");
set_image("up", THEME."images/arrow_up.png");
set_image("down", THEME."images/arrow_down.png");
set_image("left", THEME."images/arrow_left.png");
set_image("right", THEME."images/arrow_right.png");
set_image("panel_on", THEME."images/panel_on.png");
set_image("panel_off", THEME."images/panel_off.png");

// Forum icons
set_image("folder", THEME."forum/thread_normal.png");
set_image("foldernew", THEME."forum/thread_new.png");
set_image("folderhot", THEME."forum/thread_hot.png");
set_image("folderlock", THEME."forum/thread_closed.png");
set_image("stickythread", THEME."forum/thread_sticky.png");

// Forum actions
set_image("reply", "reply");
set_image("newthread", "newthread");
set_image("web", "web");
set_image("pm", "pm");
set_image("quote", "quote");
set_image("forum_edit", "forum_edit");

function theme_output($output) {
	$search = array(
		"@><img src='reply' alt='(.*?)' style='border:0px' />@si",
		"@><img src='newthread' alt='(.*?)' style='border:0px;?' />@si",
		"@><img src='web' alt='(.*?)' style='border:0;vertical-align:middle' />@si",
		"@><img src='pm' alt='(.*?)' style='border:0;vertical-align:middle' />@si",
		"@><img src='quote' alt='(.*?)' style='border:0px;vertical-align:middle' />@si",
		"@><img src='forum_edit' alt='(.*?)' style='border:0px;vertical-align:middle' />@si"
	);
	$replace = array(
		' class="button">$1',
		' class="button">$1',
		' class="button tall" rel="nofollow" title="$1">Web',
		' class="button tall" title="$1">PM',
		' class="button tall" title="$1">$1',
		' class="button tall" title="$1">$1'
	);
	$output = preg_replace($search, $replace, $output);

	return $output;
}
?>